dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/weather/files/misc/global_multiplier.lua")

local players = EntityGetWithTag("player_unit")

function init_spawning(delay, duration)
  spawning_delay = delay
  spawning_frames_start = GameGetFrameNum() + spawning_delay
  spawning_duration = duration
  spawning_frames_end = spawning_frames_start + spawning_duration
end

if #players > 0 then
  local x, y = EntityGetTransform(players[1])
  
	SetRandomSeed( GameGetFrameNum(), x + y + players[1] )
	
	  if spawning_delay == nil or GameGetFrameNum() > spawning_frames_end then
		init_spawning(Random(0, 60 * 60 * 60 * 5) * global_prob, Random(60 * 60 * 0.5, 60 * 60 * 1) * global_prob)
		-- init_spawning(Random(0, 60 * 60 * 60 * 1.75), Random(60 * 60 * 1, 60 * 60 * 2))
	  end
	  
	  if GameGetFrameNum() >= spawning_frames_start and GameGetFrameNum() < spawning_frames_end then
			local drought_entity = EntityLoad( "data/entities/animals/drought.xml", x, y)
			EntityAddChild(players[1], drought_entity)
			GamePrintImportant( "Drought", "Liquids evaporate!" )
	  end
  
end