dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/weather/files/misc/global_multiplier.lua")

-- local players = EntityGetWithTag("player_unit")

-- if #players > 0 then
  -- local x, y = EntityGetTransform(players[1])
  -- SetRandomSeed( GameGetFrameNum(), x + y + players[1] )
  -- local earthquake_entity = EntityCreateNew()
  -- EntityAddComponent(earthquake_entity, "InheritTransformComponent", {})
  -- EntityAddComponent(earthquake_entity, "LooseGroundComponent", {
    -- probability="1",
  -- })
  -- local duration = Random(360, 3600)
  -- EntityAddComponent(earthquake_entity, "LifetimeComponent", {
  -- lifetime=duration
  -- })
  -- EntityAddComponent(earthquake_entity, "LuaComponent", {
    -- script_source_file="data/scripts/buildings/earthquake_shake.lua",
    -- execute_every_n_frame="5",
    -- execute_on_added="1"
  -- })
  -- EntityAddChild(players[1], earthquake_entity)
  -- -- Set in how many frames this script will run again
  -- local comp_id = GetUpdatedComponentID()
  -- ComponentSetValue(comp_id, "execute_every_n_frame", duration + Random(1500, 3000))
-- end 

local players = EntityGetWithTag("player_unit")

function init_spawning(delay, duration)
  spawning_delay = delay
  spawning_frames_start = GameGetFrameNum() + spawning_delay
  spawning_duration = duration
  spawning_frames_end = spawning_frames_start + spawning_duration
end

if #players > 0 then
  local x, y = EntityGetTransform(players[1])
  
	SetRandomSeed( GameGetFrameNum(), x + y + players[1] )

	x = x + rand(-300, 300)
	
	  if spawning_delay == nil or GameGetFrameNum() > spawning_frames_end then
		init_spawning(Random(0, 60 * 60 * 60 * 5) * global_prob, Random(60 * 60 * 0.25, 60 * 60 * 0.5) * global_prob)
		-- init_spawning(Random(0, 60 * 60 * 60 * 2.5), Random(60 * 60 * 1, 60 * 60 * 2))
	  end
	  
	  if BiomeMapGetName() ~= "$biome_holymountain" and GameGetFrameNum() >= spawning_frames_start and GameGetFrameNum() < spawning_frames_end then
			local earthquake_entity = EntityCreateNew()
			EntityAddComponent(earthquake_entity, "InheritTransformComponent", {})
			EntityAddComponent(earthquake_entity, "LooseGroundComponent", {
			  probability="1",
			})
			EntityAddComponent(earthquake_entity, "LifetimeComponent", {
			lifetime="1800",
			})
			EntityAddComponent(earthquake_entity, "LuaComponent", {
			  script_source_file="data/scripts/buildings/earthquake_shake.lua",
			  execute_every_n_frame="5",
			  execute_on_added="1"
			})
			EntityAddChild(players[1], earthquake_entity)
			GamePrintImportant( "Earthquake!", "Take Cover!" )
	  end
  
end