dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/weather/files/misc/global_multiplier.lua")

local players = EntityGetWithTag("player_unit")

function init_spawning(delay, duration)
  spawning_delay = delay
  spawning_frames_start = GameGetFrameNum() + spawning_delay
  spawning_duration = duration
  spawning_frames_end = spawning_frames_start + spawning_duration
end

if #players > 0 then
  local x, y = EntityGetTransform(players[1])
  if BiomeMapGetName() ~= "$biome_holymountain" then
  
	SetRandomSeed( GameGetFrameNum(), x + y + players[1] )

	x = x + rand(-300, 300)

	  if spawning_delay == nil or GameGetFrameNum() > spawning_frames_end then
		init_spawning(Random(0, 60 * 60 * 60 * 6) * global_prob, 1 * global_prob)
	  end
	  
	  if GameGetFrameNum() >= spawning_frames_start and GameGetFrameNum() < spawning_frames_end then
		EntityLoad( "data/entities/animals/jungle_worm_weather.xml", spawn_x, spawn_y)
		GamePrintImportant( "Mutant!", "Beware, a Mutant Showed Up!" )
        GameScreenshake( 100 )
	  end

  end
  
end