dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/weather/files/misc/global_multiplier.lua")

local players = EntityGetWithTag("player_unit")

function init_spawning(delay, duration)
  spawning_delay = delay
  spawning_frames_start = GameGetFrameNum() + spawning_delay
  spawning_duration = duration
  spawning_frames_end = spawning_frames_start + spawning_duration
end

if #players > 0 then
  local x, y = EntityGetTransform(players[1])
  if BiomeMapGetName() == "$biome_desert" and y < 300 and y > -2000 then
  
	  SetRandomSeed( GameGetFrameNum(), x + y + players[1] )
	  
	  if spawning_delay == nil or GameGetFrameNum() > spawning_frames_end then
		init_spawning(Random(0, 60 * 60 * 5) * global_prob, Random(60 * 60 * 2, 60 * 60 * 5) * global_prob)
		-- init_spawning(Random(0, 60 * 60 * 5), Random(60 * 60 * 1, 60 * 60 * 5))
	  end
	  
	  if GameGetFrameNum() >= spawning_frames_start and GameGetFrameNum() < spawning_frames_end then
			local sandstorm = EntityLoad( "data/entities/animals/sand_storm.xml", x, y)
			EntityAddChild(players[1], sandstorm)
	  end

  end
  
end