function set_particle_emitter_enabled(enabled)
	local entity_id = GetUpdatedEntityID()
	local particle_emitter_component
	local all_comps = EntityGetAllComponents(entity_id)
	for i, v in ipairs(all_comps) do
		if ComponentGetTypeName(v) == "ParticleEmitterComponent" then
			particle_emitter_component = v
			break
		end
	end

	if particle_emitter_component ~= nil then
		EntitySetComponentIsEnabled(entity_id, particle_emitter_component, enabled)
	end
end

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

if BiomeMapGetName() == "$biome_desert" and y < 300 and y > -2000 then
  
	set_particle_emitter_enabled(true)
  
else

	set_particle_emitter_enabled(false)
	
end