dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/weather/files/misc/global_multiplier.lua")

local players = EntityGetWithTag("player_unit")

function init_spawning(delay, duration)
  spawning_delay = delay
  spawning_frames_start = GameGetFrameNum() + spawning_delay
  spawning_duration = duration
  spawning_frames_end = spawning_frames_start + spawning_duration
end

if #players > 0 then
  local x, y = EntityGetTransform(players[1])
  if y < 300 and x < 4800 and x > -15600 and y > -5000 then
  
	SetRandomSeed( GameGetFrameNum(), x + y + players[1] )
	
	local worms = { "data/entities/animals/worm_big.xml", "data/entities/animals/worm_tiny.xml", "data/entities/animals/worm.xml"}
	local random_index = Random(1, #worms)
	local worm = worms[random_index]

	x = x + rand(-300, 300)

	  if spawning_delay == nil or GameGetFrameNum() > spawning_frames_end then
		init_spawning(Random(0, 60 * 60 * 60 * 6) * global_prob, Random(60 * 60 * 0.1, 60 * 60 * 0.5) * global_prob)
	  end
	  
	  if GameGetFrameNum() >= spawning_frames_start and GameGetFrameNum() < spawning_frames_end then
		EntityLoad( worm, x, y - 300)
	  end

  end
  
end