dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/weather/files/misc/global_multiplier.lua")

local entity_id = GetUpdatedEntityID()
local initialized = entity_id > -1
if entity_id < 0 then
    entity_id = EntityCreateNew()
end
local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
SetRandomSeed(day + hour + second, minute + second + entity_id)

local delay = Random(0, 60*60*60*5.5) * global_prob --60*60*60*5)
local script_source_file = "data/scripts/buildings/ghosts.lua"

-- This is just so the code in the else doesn't run on the first execution
-- first time execution is just for setting up the delay
-- if initialized then
    -- local players = EntityGetWithTag("player_unit")
    -- if #players > 0 then
        -- local player_x, player_y = EntityGetTransform(players[1])
        -- local radius = 300
        -- local num_ghosts = Random(300,600)
        -- for i=1, num_ghosts do
            -- local angle = Randomf(0, math.pi * 2)
            -- local offset_x = math.cos(angle) * radius
            -- local offset_y = math.sin(angle) * radius
            -- EntityLoad( "data/entities/animals/playerghost_spawner.xml", player_x + offset_x, player_y + offset_y)
        -- end
		-- GamePrintImportant( "Ghost Attack!", "Beware, you're surrounded by Ghosts!" )
        -- GameScreenshake( 100 )
    -- end
-- end

-- Run this script again after <delay> frames have passed
-- This is a workaround because re-setting execute_every_n_frame only takes effect the NEXT time a script executes
EntityAddComponent(entity_id, "LuaComponent", {
    script_source_file=script_source_file,
    execute_on_added="0",
    remove_after_executed="1",
    execute_every_n_frame=delay,
})

-- local players = EntityGetWithTag("player_unit")
-- local player_x, player_y = EntityGetTransform(players[1])

-- function execute_again_after(delay)
    -- local entity_id = GetUpdatedEntityID()
    -- -- This is a workaround because re-setting execute_every_n_frame only takes effect the NEXT time a script executes
    -- EntityAddComponent(entity_id, "LuaComponent", {
        -- script_source_file="data/scripts/buildings/ghosts.lua",
        -- execute_on_added="0",
        -- remove_after_executed="1",
        -- execute_every_n_frame=delay,
    -- })
-- end

-- if GlobalsGetValue("MOD_WEATHER_GHOSTS_INITIALIZED", "") == "" then
    -- GlobalsSetValue("MOD_WEATHER_GHOSTS_INITIALIZED", "1")
    -- -- This code here runs at startup and determines how much frames should pass until the first time the event actually happens

    -- execute_again_after(Random(0, 60 * 60 * 60 * 5.5))
-- else
    -- if #players > 0 then
        -- SetRandomSeed(GameGetFrameNum(), player_x + player_y)
        -- trigger_event(player_x, player_y)
    -- end
-- end

-- function trigger_event(player_x, player_y)
	-- SetRandomSeed(GameGetFrameNum(), player_x + player_y)
    -- local radius = 300
    -- local num_ghosts = Random(50, 100)
    -- for i=1, num_ghosts do
        -- local angle = Randomf(0, math.pi * 2)
        -- local offset_x = math.cos(angle) * radius
        -- local offset_y = math.sin(angle) * radius
        -- EntityLoad( "data/entities/animals/playerghost2.xml", player_x + offset_x, player_y + offset_y)
    -- end
    -- execute_again_after(300)
-- end