local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

function is_inside_wall(x, y, radius)
  for i=1,8 do
    local slice = math.pi * 2 / 8 * i
    local did_hit, hit_x, hit_y = RaytraceSurfacesAndLiquiform(x, y, x + math.cos(slice) * radius, y + math.sin(slice) * radius)
    if did_hit then
      return true
    end
  end
  return false
end

if not is_inside_wall(x, y, 16) then
  EntityLoad("data/entities/animals/playerghost2.xml", x, y)
end

EntityKill(entity_id)
