dofile( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local entities = EntityGetInRadiusWithTag(x, y, 250, "enemy")

for i, entity in ipairs(entities) do
		
	local x2, y2 = EntityGetTransform(entity)
	local platforming_component = EntityGetFirstComponent(entity, "CharacterPlatformingComponent")
		  
	local has_gold_effect = false
	local lua_comps = EntityGetComponent(entity, "LuaComponent") or {}
			
	for i, comp in ipairs(lua_comps) do
		
		if ComponentGetValue2(comp, "script_death") == "data/scripts/corpses_to_poison/poison_converter_loader_on_death.lua" then
			has_gold_effect = true
			break
		end
				
	end
				
	if not has_gold_effect then
					
		EntityAddComponent(entity, "LuaComponent", {
			script_death="data/scripts/corpses_to_poison/poison_converter_loader_on_death.lua",
		}) 
		
				
	end
			
end
