dofile("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

local variablestorages = EntityGetComponent( entity_id, "VariableStorageComponent" )
local phase = 0

if ( variablestorages ~= nil ) then
	for i,storage_id in ipairs( variablestorages ) do
		local var_name = ComponentGetValue( storage_id, "name" )
		if ( var_name == "fireball_phase" ) then
			phase = ComponentGetValueInt( storage_id, "value_int" )
		end
		
		phase = (phase + 1) % 3
		
		ComponentSetValue( storage_id, "value_int", phase )
	end
end